VERIFIED SOLUTION i

Learn SOAP version supported by EngageOne Server

Products Affected: EngageOne Server version 1.x, 2.x, 3.x, 4.0, 4.1, 4.2
 
The EngageOne server exposes most of its API via Web Services. This enables custom application integration with the EngageOne server on any development platform supporting Web Services. In the EngageOne Web Service Runtime Environment, the EngageOne Web Services interface with EngageOne applications using Simple Object Access Protocols (SOAP).

In older versions of EngageOne Server (version 4.2 and older), one of the user guides that comes with the installation package i.e. Programmers Reference Guide, states that both SOAP version 1.1 and 1.2 are supported however this information is incorrect as EngageOne Server is not compatible with SOAP version 1.2.

As of EngageOne Server version 4.3.1 (4.3.1.7), Programmers Reference Guide has been revised so that SOAP 1.1 is the only SOAP version mentioned under the Web Services Requirement's table. To know version of SOAP supported with a version of EngageOne Server, refer to Web Services Requirement's table in Programmers Reference Guide shipped with the installer of EngageOne Server.
UPDATED:  June 2, 2017